Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## gecco.server.startup
Class GlobalConf

    java.lang.Object
      gecco.server.startup.GlobalConf

public class GlobalConf
extends Object

This class loads the settings stored in global.conf.

Author:
  Henrik Bäärnhielm, Karl Hasselström, Henrik Hägerström

Constructor Summary
`GlobalConf(Reader in)` The constructor parses the file immediately.

Method Summary
`AutomatonMap` | `getAutomatonMap()` Gets the automaton map.
`int` | `getConnectionPort()` Gets the connection port.
`double` | `getNormalSpeed()` Gets the normal speed.
`double` | `getStartTime()` Gets the start time.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GlobalConf

    public GlobalConf(Reader in)
               throws IOException,
                      SyntaxErrorException,
                      ParseErrorException

  The constructor parses the file immediately.

Parameters:
  `in` - The configuration is read from this.
Throws:
  `IOException` - If there is an I/O error.
  `SyntaxErrorException` - If there is a syntax error.
  `ParseErrorException` - If there is a parse error.

Method Detail

### getAutomatonMap

    public AutomatonMap getAutomatonMap()

  Gets the automaton map.

  Returns:
    The automaton map.

### getConnectionPort

    public int getConnectionPort()

  Gets the connection port.

  Returns:
    The connection port.

### getStartTime

    public double getStartTime()

  Gets the start time.

  Returns:
    The start time.

### getNormalSpeed

    public double getNormalSpeed()

  Gets the normal speed.

  Returns:
    The normal speed.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD